#ifndef LOCALFSI_MODULE_HPP
#define LOCALFSI_MODULE_HPP

#include <language/modules/BuiltinModule.hpp>

class LocalFSIModule : public BuiltinModule
{
  friend class MathFunctionRegisterForVh;

 public:
  std::string_view
  name() const final
  {
    return "localFSI";
  }

  void registerOperators() const final;
  void registerCheckpointResume() const final;

  LocalFSIModule();

  ~LocalFSIModule() = default;
};

#endif   // LOCALFSI_MODULE_HPP
